Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.stream
Class RtmpSampleAccess

    java.lang.Object
      org.red5.server.stream.RtmpSampleAccess

All Implemented Interfaces:
  IRtmpSampleAccess

    public class RtmpSampleAccess

extends Object
implements IRtmpSampleAccess

Default RtmpSampleAccess bean

See Also:
  `IRtmpSampleAccess`

Field Summary

Fields inherited from interface org.red5.server.api.stream.IRtmpSampleAccess
`BEAN_NAME`

Constructor Summary
`RtmpSampleAccess()`

Method Summary
`boolean` | `isAudioAllowed(IScope scope)` Return true if sample access allowed on audio stream
`boolean` | `isVideoAllowed(IScope scope)` Return true if sample access allowed on video stream
`void` | `setAudioAllowed(boolean permission)` Setter audioAllowed
`void` | `setVideoAllowed(boolean permission)` Setter videoAllowed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RtmpSampleAccess

    public RtmpSampleAccess()

Method Detail

### setAudioAllowed

    public void setAudioAllowed(boolean permission)

  Setter audioAllowed

  Parameters:
    `permission` -

### setVideoAllowed

    public void setVideoAllowed(boolean permission)

  Setter videoAllowed

  Parameters:
    `permission` -

### isAudioAllowed

    public boolean isAudioAllowed(IScope scope)

  Return true if sample access allowed on audio stream

  Specified by:
    `isAudioAllowed` in interface `IRtmpSampleAccess`
  Returns:
    true if sample access allowed on audio stream

### isVideoAllowed

    public boolean isVideoAllowed(IScope scope)

  Return true if sample access allowed on video stream

  Specified by:
    `isVideoAllowed` in interface `IRtmpSampleAccess`
  Returns:
    true if sample access allowed on video stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project